Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodedocumenttypenodevalue Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodedocumenttypenodevalue (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The string returned by the "getNodeValue()" method for a DocumentType Node is null.

Retrieve the DOCTYPE declaration from the XML file and check the string returned by the "getNodeValue()" method. It should be equal to null.

Author:
  NIST , Mary Brady

Definition at line 43 of file nodedocumenttypenodevalue.java.

## Constructor & Destructor Documentation

nodedocumenttypenodevalue::nodedocumenttypenodevalue | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 45 of file nodedocumenttypenodevalue.java.
    00046  {
    00047       super(factory);
    00048
    00049    }

## Member Function Documentation

String nodedocumenttypenodevalue::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 61 of file nodedocumenttypenodevalue.java.
    00061                                 {
    00062       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodedocumenttypenodevalue";
    00063    }

void nodedocumenttypenodevalue::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 64 of file nodedocumenttypenodevalue.java. References DOMTestCase::doMain().
    00064                                           {
    00065         DOMTestCase.doMain(nodedocumenttypenodevalue.class,args);
    00066    }

void nodedocumenttypenodevalue::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 51 of file nodedocumenttypenodevalue.java. References DOMTestCase::assertNull(), and DOMTest::load().
    00051                                                     {
    00052       Document doc;
    00053       DocumentType docType;
    00054       NamedNodeMap attrList;
    00055       doc = load("staff");
    00056       docType = doc.getDoctype();
    00057       attrList = docType.getAttributes();
    00058       assertNull("nodeDocumentTypeNodeAttributesAssert1",attrList);
    00059
    00060    }

The documentation for this class was generated from the following file:

- nodedocumenttypenodevalue.java